Package Details: freetuxtv 0.6.8-1

Git Clone URL: https://aur.archlinux.org/freetuxtv.git (read-only, click to copy)
Package Base: freetuxtv
Description: WebTV vlc player to watch tv/radio playlists on the internet
Upstream URL: https://github.com/freetuxtv/freetuxtv
Licenses: GPL3
Conflicts: freetuxtv-svn
Submitter: arno
Maintainer: obayhan
Last Packager: berbae
Votes: 85
Popularity: 0.004441
First Submitted: 2009-09-06 01:07 (UTC)
Last Updated: 2019-09-02 14:21 (UTC)

Latest Comments

simona commented on 2019-09-27 20:10 (UTC)

thx for reply.

berbae commented on 2019-09-23 10:03 (UTC)

This bug was sent to the git project since 30 may 2016 but nobody has answered it. The project seems dead since then. I will probably disowned it as I do not use it any longer.

simona commented on 2019-09-22 09:15 (UTC)

gtk_builder_window_get_top_window: assertion 'GTK_IS_WINDOW(pObject)' failed

abouvier commented on 2018-11-20 16:51 (UTC)

dbus-glib is a required dependency.

commented on 2016-06-01 15:01 (UTC)

Hello, Freetuxtv has a new version. The new url for download sources is now : https://github.com/freetuxtv/freetuxtv/releases/download/freetuxtv-0.6.8/freetuxtv-0.6.8.tar.gz This version does not crash when looking for channels.

berbae commented on 2015-10-01 08:46 (UTC)

I recommend to use the other freetuxtv-svn package which will use the r750 revision tag with the fix.

martynjy commented on 2015-09-29 19:47 (UTC)

I had to replace /usr/share/freetuxtv/ui/addchannelsgroups.glade with the following: https://code.google.com/p/freetuxtv/source/browse/trunk/data/ui/addchannelsgroups.glade?r=750 It was the same issue as Grandma pointed to but obviously the file in the package hasn't been amended for some reason!

berbae commented on 2015-09-20 09:11 (UTC)

I could not reproduce the crash, but I updated the package with updated dependencies.

martynjy commented on 2015-09-19 14:28 (UTC)

Crashes at startup after synchronising.

Grandma commented on 2015-05-02 15:36 (UTC)

Issue is solved: https://code.google.com/p/freetuxtv/issues/detail?id=189#c7

OdinEidolon commented on 2015-04-26 07:53 (UTC)

I get the following errors when running this program: [FreetuxTV] INFO : Showing the main window, hide splashscreen [00000000027a6cb8] pulse audio output error: PulseAudio server connection failure: Connection refused [FreetuxTV] INFO : Loading GtkBuilder object "dialogaddgroup" from /usr/share/freetuxtv/ui/addchannelsgroups.glade ** (freetuxtv:13771): CRITICAL **: gtk_builder_window_get_top_window: assertion 'GTK_IS_WINDOW(pObject)' failed (freetuxtv:13771): Gtk-CRITICAL **: gtk_window_set_transient_for: assertion 'GTK_IS_WINDOW (window)' failed (freetuxtv:13771): Gtk-CRITICAL **: gtk_window_set_position: assertion 'GTK_IS_WINDOW (window)' failed (freetuxtv:13771): Gtk-CRITICAL **: gtk_tree_view_get_selection: assertion 'GTK_IS_TREE_VIEW (tree_view)' failed (freetuxtv:13771): Gtk-CRITICAL **: gtk_tree_selection_set_mode: assertion 'GTK_IS_TREE_SELECTION (selection)' failed (freetuxtv:13771): GLib-GObject-WARNING **: invalid (NULL) pointer instance (freetuxtv:13771): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed (freetuxtv:13771): GLib-GObject-WARNING **: invalid (NULL) pointer instance (freetuxtv:13771): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed (freetuxtv:13771): GLib-GObject-WARNING **: invalid (NULL) pointer instance (freetuxtv:13771): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed (freetuxtv:13771): Gtk-CRITICAL **: gtk_tree_store_clear: assertion 'GTK_IS_TREE_STORE (tree_store)' failed fish: Job 1, “freetuxtv ” terminated by signal SIGSEGV (Address boundary error) I guess I'm missing some dependency?

smed79 commented on 2015-01-12 22:24 (UTC)

crash after database synchronization ! log > http://pastie.org/9828410

berbae commented on 2014-05-09 14:42 (UTC)

The install file was added. Thanks Fred.

FredBezies commented on 2014-05-08 20:35 (UTC)

A freetuxtv.install is missing. Without it, freetuxtv icon is not used. A file with this content should help : pkgname=freetuxtv post_install() { update-desktop-database -q gtk-update-icon-cache -q -t -f usr/share/icons/hicolor } post_upgrade() { post_install } post_remove() { post_install }

berbae commented on 2014-01-20 15:17 (UTC)

This new 0.6.6 release can only be built with gtk3. @predieri : it's true that the list are not very well maintained, but not all the links are dead, some still works.

predieri commented on 2013-10-14 14:35 (UTC)

Known that it is no longer possible to connect to any radio or Tv stations. All links are "DEAD". Possible? Thanks

berbae commented on 2013-04-09 09:20 (UTC)

Rebuild with new vlc 2.0.6

berbae commented on 2012-12-09 15:54 (UTC)

It is more stable using gtk2 and the package needed a rebuild to use upgraded dependencies.

mrbit commented on 2012-05-03 15:44 (UTC)

update....thanks

berbae commented on 2012-02-10 13:04 (UTC)

I built this package without svn package installed on my machine.

erufu commented on 2012-02-05 23:31 (UTC)

svn is needed and not in the deps.

berbae commented on 2011-11-29 16:16 (UTC)

This release uses gtk3. To get playlists see the FreetuxTV WebTV Manager web site : http://freetuxtv.net/webtv-manager/

LeCrayonVert commented on 2011-06-29 21:06 (UTC)

Up ?

LeCrayonVert commented on 2011-05-22 19:17 (UTC)

Can't compile either : libtool: link: gcc -Wall -g -march=x86-64 -mtune=generic -O2 -pipe --export-dynamic -Wl,--hash-style=gnu -Wl,--as-needed -o freetuxtv gtk-progress-dialog.o freetuxtv-cellrenderer-channelslist.o freetuxtv-channel-infos.o freetuxtv-channels-group-infos.o freetuxtv-channels-list.o freetuxtv-db-sync.o freetuxtv-fileutils.o freetuxtv-models.o freetuxtv-recordings-list.o freetuxtv-tv-channel-infos.o freetuxtv-tv-channels-list.o freetuxtv-utils.o freetuxtv-window-add-channels-group.o freetuxtv-window-channel-properties.o freetuxtv-window-main.o freetuxtv-window-recording.o lib-gmmkeys.o lib-m3uparser.o main.o -pthread -ldbus-glib-1 -ldbus-1 -lpthread ../lib/libvlc-gtk/.libs/libvlc-gtk.a -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 ../lib/libdbevolution/.libs/libdbevolution.a -lgobject-2.0 -lrt -lglib-2.0 -lnotify -lcurl -lsqlite3 -lgthread-2.0 -lvlc -pthread gcc: error: unrecognized option '--export-dynamic' distcc[9372] ERROR: compile (null) on localhost failed make[2]: *** [freetuxtv] Error 1 make[2]: Leaving directory `/dev/shm/freetuxtv/src/freetuxtv-0.5.2/src' make[1]: *** [all-recursive] Error 1 make[1]: Leaving directory `/dev/shm/freetuxtv/src/freetuxtv-0.5.2' make: *** [all] Error 2 Seems there is an unrecognized option with gcc 4.6

Andyvec commented on 2011-04-11 01:09 (UTC)

Still does not compile

mathieu.clabaut commented on 2011-04-02 08:39 (UTC)

The following patch make it xompiles against libnotify 7.1 : --- freetuxtv-0.5.2/src/main.c.orig 2011-04-02 10:36:14.000000000 +0200 +++ freetuxtv-0.5.2/src/main.c 2011-04-02 10:37:03.000000000 +0200 @@ -1553,7 +1553,7 @@ // Initialize notifications notify_init("FreetuxTV"); - app->current.notification = notify_notification_new ("FreetuxTV", NULL, NULL, NULL); + app->current.notification = notify_notification_new ("FreetuxTV", NULL, NULL); mmkeys = g_mmkeys_new ("FreetuxTV", freetuxtv_log); g_mmkeys_activate (mmkeys);

commented on 2011-03-20 11:06 (UTC)

Hi, I get this compilation error message: main.c:1556:4: erreur: too many arguments to function ‘notify_notification_new’ Could it be that it does not compile against current libnotify version in ArchLinux ?

LeCrayonVert commented on 2011-01-11 09:34 (UTC)

0.5.2 available ;)

meirkr commented on 2010-10-24 22:56 (UTC)

looks like it depends on libnotify as well.

R00KIE commented on 2010-10-08 22:20 (UTC)

You should add an install file to update the icon database after the package is installed/removed. You can use the following package as an example http://repos.archlinux.org/wsvn/community/giggle/repos/community-x86_64

dgellow commented on 2010-07-27 07:29 (UTC)

Hi. Can you update to 0.5.1 ?

herve commented on 2010-04-30 16:08 (UTC)

Hi, please update to 0.4.2.